Package com.independentsoft.office.odf.charts

# Class ChartBody

java.lang.Object
com.independentsoft.office.odf.charts.ChartBody

All Implemented Interfaces:
  `IContentElement`

public class ChartBody extends Object implements IContentElement
Represents chart content.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartBody()`
  Instantiates a new chart body.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartBody`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `Size`
  `getHeight()`
  Gets the height of the entire chart.
  `Legend`
  `getLegend()`
  Gets the legend for a chart.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `PlotArea`
  `getPlotArea()`
  Gets the coordinate system in which data is plotted including defined axes.
  `String`
  `getStyle()`
  Gets the names that reference style mechanisms.
  `Subtitle`
  `getSubtitle()`
  Gets the subtitle for a chart.
  `Table`
  `getTable()`
  Gets the root element for a table.
  `Title`
  `getTitle()`
  Gets the title in a chart document.
  `ChartType`
  `getType()`
  Gets the chart type.
  `Size`
  `getWidth()`
  Gets the width of the entire chart.
  `void`
  `setHeight​(Size height)`
  Sets the height of the entire chart.
  `void`
  `setLegend​(Legend legend)`
  Sets the legend for a chart.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setPlotArea​(PlotArea plotArea)`
  Sets the coordinate system in which data is plotted including defined axes.
  `void`
  `setStyle​(String style)`
  Sets the names that reference style mechanisms.
  `void`
  `setSubtitle​(Subtitle subtitle)`
  Sets the subtitle for a chart.
  `void`
  `setTable​(Table table)`
  Sets the root element for a table.
  `void`
  `setTitle​(Title title)`
  Sets the title in a chart document.
  `void`
  `setType​(ChartType type)`
  Sets the chart type.
  `void`
  `setWidth​(Size width)`
  Sets the width of the entire chart.
  `String`
  `toString()`
  Converts the value of the current ChartBody object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartBody

    public ChartBody()
    Instantiates a new chart body.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public ChartBody clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ChartBody object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getWidth

    public Size getWidth()
    Gets the width of the entire chart. If it is omitted, the size of the chart is determined by the size of the window in which the chart is displayed.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Size width)
    Sets the width of the entire chart. If it is omitted, the size of the chart is determined by the size of the window in which the chart is displayed.
    Parameters:
      `width` - the new width

  - ### getHeight

    public Size getHeight()
    Gets the height of the entire chart. If it is omitted, the size of the chart is determined by the size of the window in which the chart is displayed.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(Size height)
    Sets the height of the entire chart. If it is omitted, the size of the chart is determined by the size of the window in which the chart is displayed.
    Parameters:
      `height` - the new height

  - ### getType

    public ChartType getType()
    Gets the chart type. The value is a namespaced token.
    Returns:
      the type

  - ### setType

    public void setType​(ChartType type)
    Sets the chart type. The value is a namespaced token.
    Parameters:
      `type` - the new type

  - ### getStyle

    public String getStyle()
    Gets the names that reference style mechanisms.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the names that reference style mechanisms.
    Parameters:
      `style` - the new style

  - ### getLegend

    public Legend getLegend()
    Gets the legend for a chart.
    Returns:
      the legend

  - ### setLegend

    public void setLegend​(Legend legend)
    Sets the legend for a chart.
    Parameters:
      `legend` - the new legend

  - ### getPlotArea

    public PlotArea getPlotArea()
    Gets the coordinate system in which data is plotted including defined axes.
    Returns:
      the plot area

  - ### setPlotArea

    public void setPlotArea​(PlotArea plotArea)
    Sets the coordinate system in which data is plotted including defined axes.
    Parameters:
      `plotArea` - the new plot area

  - ### getTitle

    public Title getTitle()
    Gets the title in a chart document.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(Title title)
    Sets the title in a chart document.
    Parameters:
      `title` - the new title

  - ### getSubtitle

    public Subtitle getSubtitle()
    Gets the subtitle for a chart.
    Returns:
      the subtitle

  - ### setSubtitle

    public void setSubtitle​(Subtitle subtitle)
    Sets the subtitle for a chart.
    Parameters:
      `subtitle` - the new subtitle

  - ### getTable

    public Table getTable()
    Gets the root element for a table.
    Returns:
      the table

  - ### setTable

    public void setTable​(Table table)
    Sets the root element for a table.
    Parameters:
      `table` - the new table